X2Go Bug report logs - #474
Windows: Port X2Go Client: MinGW 4.4 + QT 4.8.5 -> MinGW 4.8 + QT 4.8.6

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Michael DePaulo <mikedep333@gmail.com>

Date: Fri, 11 Apr 2014 12:30:02 UTC

Severity: wishlist

Tags: build-win32, pending

Found in version 4.0.2.0

Fixed in version 4.0.3.0

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Full log


Message #27 received at 474@bugs.x2go.org (full text, mbox, reply):

Received: (at 474) by bugs.x2go.org; 9 Sep 2014 12:56:01 +0000
From mikedep333@gmail.com  Tue Sep  9 14:55:59 2014
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
	T_DKIM_INVALID autolearn=ham version=3.3.2
Received: from mail-we0-f181.google.com (mail-we0-f181.google.com [74.125.82.181])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id 7A5DC5DEAB
	for <474@bugs.x2go.org>; Tue,  9 Sep 2014 14:55:59 +0200 (CEST)
Received: by mail-we0-f181.google.com with SMTP id w62so647040wes.12
        for <474@bugs.x2go.org>; Tue, 09 Sep 2014 05:55:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20120113;
        h=mime-version:in-reply-to:references:date:message-id:subject:from:to
         :cc:content-type;
        bh=j0XSrx7wi/aFP19UuA2HGCVfgWm/p9fdEk3kCIIXlu0=;
        b=vrlrzI/5L3+oWPYb4bcKHro6CN3CgRQeS81WjPxXIgAa+4tZt5Vify7PXfs93o/MsN
         KmM+7NjdmzXDFF5XI6qlT9m93JW998IzzwFv1T0RGD/R+Yqcsgw3wT0XfYIG7DiqONEQ
         Hne+DmJVGtgPGHMqlwZNOAl7C8c1/Rl89xzQQImLz1AZaaTXOvzOXSWIoc059naYcOpH
         JRhN1EIQF17szQ1Zi9DG5FBByLgxzD+ZgO/XKlcOS33A7IkCVToXAk227recYnLn20/L
         pcUxLeXsxyNm0Chw9veKvvISClwZ7I11LTsBgACbu/EriI951YUeP61p6YuLW4nFCPsE
         kPWQ==
MIME-Version: 1.0
X-Received: by 10.181.8.70 with SMTP id di6mr29512817wid.78.1410267359211;
 Tue, 09 Sep 2014 05:55:59 -0700 (PDT)
Received: by 10.180.106.39 with HTTP; Tue, 9 Sep 2014 05:55:58 -0700 (PDT)
In-Reply-To: <000001cfcbc9$a7fe0020$f7fa0060$@edu.gr>
References: <000001cfcbc9$a7fe0020$f7fa0060$@edu.gr>
Date: Tue, 9 Sep 2014 08:55:58 -0400
Message-ID: <CAMKht8iz5V87pfUZFdWezLgfNxcJHeoSHSCjgnLOO=TrnP7hfA@mail.gmail.com>
Subject: Re: Windows: Port X2Go Client: MinGW 4.4 + QT 4.8.5 -> MinGW 4.8 + QT 4.8.6
From: Michael DePaulo <mikedep333@gmail.com>
To: 474@bugs.x2go.org
Cc: Oleksandr Shneyder <o.shneyder@phoca-gmbh.de>, George Trakatelis <trakatelis@uom.edu.gr>
Content-Type: multipart/mixed; boundary=001a1134d61cfc2a1b0502a174d6
[Message part 1 (text/plain, inline)]
On Mon, Sep 8, 2014 at 9:01 PM, George Trakatelis <trakatelis@uom.edu.gr> wrote:
> Dear Mike,
>
> You can find useful information on libssh's failure to build below
>
> http://permalink.gmane.org/gmane.comp.audio.csound.devel/27287
>
> It seems that libssh's 0.6.3 pthread.c was written against
> an aging pthread header, so I've attached a patch.
>
> You can also try solving the problem the other way around
> (which is not recommended) just to see what happens.
> I have included a patch for mingw32 that restores the obsolete structure.
> If you are brave enough to test it, remember not to apply (to un-patch) the
> first patch.
> The two patches are mutually exclusive.
>
> -George

Dear George,

Thank you very much. I applied libssh-0.6.3-pthread.c.patch and it
libssh built successfully.

(I had trouble applying it using cygwin git/patch, and using
SourceTree (SourceTree crashed.) So I modified the filepaths, I've
attached the modified version.)

I have further details to share about compiling libssh with Unicode
support. I will post those details to bug #566.

-Mike#2
[libssh-0.6.3-pthread.c.relativepaths.patch (application/octet-stream, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Jun 19 03:24:52 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.